%define oname mechanize

Summary:	Stateful programmatic web browsing
Name:		python-%{oname}
Version:	0.2.5
Release:	%mkrel 2
Source0:	http://wwwsearch.sourceforge.net/%oname/src/%{oname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
BuildArch:	noarch
URL:		http://wwwsearch.sourceforge.net/mechanize/
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	python-clientform
Obsoletes:	python-clientcookie < 1.3.0-2
Provides:	python-clientcookie

%description
Stateful programmatic web browsing, after Andy Lester's Perl module
WWW::Mechanize.

The library is layered: mechanize.Browser (stateful web browser),
mechanize.UserAgent (configurable URL opener), plus urllib2 handlers.

Features include: ftp:, http: and file: URL schemes, browser history,
high-level hyperlink and HTML form support, HTTP cookies, HTTP-EQUIV and
Refresh, Referer [sic] header, robots.txt, redirections, proxies, and
Basic and Digest HTTP authentication.  mechanize's response objects are
(lazily-) .seek()able and still work after .close().

Much of the code originally derived from Perl code by Gisle Aas
(libwww-perl), Johnny Lee (MSIE Cookie support) and last but not least
Andy Lester (WWW::Mechanize).  urllib2 was written by Jeremy Hylton.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --single-version-externally-managed --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/* *.txt
%{python_sitelib}/%{oname}*


%changelog

* Tue Dec 13 2011 tv <tv> 0.2.5-2.mga2
+ Revision: 181415
- bump release (fix upgrading from mdv)

* Sun Apr 17 2011 ahmad <ahmad> 0.2.5-1.mga1
+ Revision: 86869
- update to 0.2.5

* Sun Jan 23 2011 ennael <ennael> 0.2.4-1.mga1
+ Revision: 34830
- imported package python-mechanize

